---
title: Retrieve Multiple Story Schedules
description: Returns an array of story schedule objects.
url: https://storyblok.com/docs/api/management/scheduling-stories/retrieve-multiple-story-schedules
---

# Retrieve Multiple Story Schedules

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/story_schedulings
```

Returns an array of story schedule objects.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Query Parameters

-   `by_status` (string)
    
    Filter story schedules based on the status.
    

## Response properties

-   `story_schedulings` (The Story Scheduling Object\[\])
    
    An array of [story scheduling](/docs/api/management/scheduling-stories/retrieve-one-story-schedule) objects.
    

## Examples

Example Request

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/story_schedulings', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/story_schedulings')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings"
    
    querystring = {}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/story_schedulings')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    let request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/story_schedulings")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/story_schedulings")
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Delete a Story Schedule](/docs/api/management/scheduling-stories/delete-a-story-schedule)
-   [Next: Retrieve One Story Schedule](/docs/api/management/scheduling-stories/retrieve-one-story-schedule)
